Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 471509 - Review Request: extjs - Ext JS is a cross-browser JavaScript library for building rich internet applications.
Summary: Review Request: extjs - Ext JS is a cross-browser JavaScript library for buil...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-11-14 02:12 UTC by Mohak Vyas
Modified: 2009-07-17 18:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-17 18:25:29 UTC


Attachments (Terms of Use)

Description Mohak Vyas 2008-11-14 02:12:15 UTC
Spec URL: 
http://matrix.senecac.on.ca/~mdvyas/ExtJS/extjs.spec

SRPM URL:
http://matrix.senecac.on.ca/~mdvyas/ExtJS/extjs-2.2-1.fc8.src.rpm

Koji Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=927964

Description: 
Ext JS is a cross-browser JavaScript library for building rich internet applications. It includes:
 * High performance, customizable UI widgets.
 * Well designed and extensible Component model.
 * An intutive, easy to use API.

Comment 1 Jason Tibbitts 2008-11-14 13:24:42 UTC
I don't see any names matching yours in the account system; what's your FAS ID?  Do you require a sponsor?

I recall that extjs has some licensing issues; please see bug 455474.  If you can, please indicate how things have changed since that ticket (if indeed they have).  I'll go ahead and ask the legal folks to have a look.

Please also note that a few folks are trying to develop packaging guidelines for javascript, but there are many issues.  Please see https://fedoraproject.org/wiki/PackagingDrafts/JavaScript and perhaps become involved in the process if you want to package javascript libraries.  I don't think we'll be approving any javascript packages until the guidelines progress a bit further.

Comment 2 Tom "spot" Callaway 2008-11-14 21:56:49 UTC
Okay, so let me explain this.

The latest version of ExtJS claims to be under GPLv3 with an exception, documented here: http://extjs.com/products/floss-exception.php

RH Legal is firm that this exception clause isn't valid.

One of the conditions for the exception is:

  the Derivative Work can reasonably be considered independent and
  separate work that is intended for use by end-users and not as a
  library for software development purposes.

This doesn't make sense. "Independent and separate" from what?  By
definition the Derivative Work is formed by combining Ext with some
FLOSS work, so it can't be "independent and separate" from those. 

Moreover, how do you determine whether a Derivative Work is "intended
for use by end-users and not as a library for software development
purposes"?  Well, to some degree you might be able to, but it raises
disturbing questions.  This sounds very much like a field-of-use
limitation.  If any such work actually were declared to be "intended
for use solely by end-users" surely that would make such a work
non-free.  (Non-open-source, even.)  Does "not as a library for
software development purposes" suggest that the Derivative Work must
be under terms that prohibit modification?  At best this is
disturbingly unclear.

There are a couple of other points one could make as well. 

The sum conclusion here is that Fedora and its users are not safe to use the exception clause in ExtJS. However, there is no barrier to using it under GPLv3.

This means unfortunately that items like Testopia are right out, due to license incompatibility with GPLv3, but it doesn't prevent ExtJS from inclusion in Fedora on its own merit. BE SURE that anything you use with ExtJS is compatible with GPLv3!

All of this text needs to go in a file in the package called "README-Fedora-Licensing", and the spec needs to reflect it like this:

# The FLOSS Exception is NOT VALID for this package, see:
# README-Fedora-Licensing
License: GPLv3

... Lifting FE-Legal

Comment 3 Jason Tibbitts 2008-12-17 03:13:41 UTC
I note there's been no response to these comments from the submitter in over a month.  I will close this ticket soon if there is no further action.

Comment 4 Mohak Vyas 2008-12-19 23:10:21 UTC
FAS ID: Vyas    
IRC Nick: Vyas

Yes I need a sponsor. Here are the new .src.rpm and .spec file.

Spec URL:
http://matrix.senecac.on.ca/~mdvyas/ExtJS/extjs.spec  

SRPM URL:
http://matrix.senecac.on.ca/~mdvyas/ExtJS/extjs-2.2-1.fc10.src.rpm

I am watching the packaging guidelines for JavaScript packages page so I can edit my package accordingly.

Comment 5 Mohak Vyas 2009-03-27 20:31:18 UTC
Its been a long time and I don't see any updates on the JavaScript packaging guidelines. I was wondering what are we gonna do now. If we are not gonna block the packages, can someone please review it.

Comment 6 Toshio Ernie Kuratomi 2009-04-09 17:59:13 UTC
A quick look at the spec shows a few problems:

1) You didn't follow spot's directions -- there's no explanation of the licensing issues in the spec file.
2) The source URL doesn't have a comment explaining how to get the zip file
3) The Fedora README isn't included as a SourceX: line in the spec... that leads me to believe you've modified the upstream zip file to include it which is not allowed.

As for packaging guidelines... That's somewhat my fault.  I've been busy and there's been blockers in other packages that have made packaging javascript libraries not work the way I'd like.  One package has been recently fixed which makes it possible for this to work again.  I'm looking into updating the Guidelines.

If you're interested in Javascript libraries, it would be highly beneficial to help drive this forward.  You can take the existing Draft as a basis or talk to me about my idea for a static-library like change.

Comment 7 Jason Tibbitts 2009-07-10 17:35:13 UTC
It's been three months since Toshio's commentary with no response, and still no package that fixes the licensing issues pointed out nearly eight months ago.  I'll close this ticket soon if there's no further progress.

Comment 8 Jason Tibbitts 2009-07-17 18:25:29 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.